-- 1.3.8
Tue Apr 6 1999
Summary:
    * Fixed some bugs or probrems.

Date: Sun, 4 Apr 1999 18:14:43 +1000 (EST)
From: David Gibson <david@gibson.dropbear.id.au>
Files: timidity/linux_a.c
    The two bugs are both in the linux audio driver. Firstly, the driver opens
    /dev/dsp for both reading and writing, where only writing is necessary.
    Secondly, the code uses hard coded constants 8 and 16 to set the output
    format on /dev/dsp. This fails on big-endian machines such as the PowerPC.
    This patch makes the code use constants #defined by glibc.

Date: Sun Apr  4 21:05:37 JST 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/x_wrdwindow.c
   Fixed to change undefined color code to default color (white).

Date: Sat, 03 Apr 1999 22:07:45 +0900 (JST)
From: Yoshishige ARAI <ryo2@on.rim.or.jp>
Files: interface/xaw_i.c doc/C/README.xaw doc/ja_JP.ujis/README.xaw
    Fixed XAW bug.
    Chnaged some discriptions for XAW document.

Date: Wed Mar 31 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c
    Fixed bug of drumpart recognization.
Files: interface/ncurs_c.c
    Fixed bug about buffer over-running of comment_indicator_buffer.

From: Takaya Nogami <t-nogami@happy.email.ne.jp>
Date: Sat, 27 Mar 1999 10:38:11 +0900
Files: interface/VTPrsTbl.c timidity/output.c
    Enabled clear screen with @esc(2j) command for MIMPI WRD.
    Included <string.h> from output.c

-- 1.3.7
Summary:
Tue Mar 30 1999
    * Fixed some bugs or probrems.
    * In GTK interface, enabled to delete loaded files from the play list.

Date: Tue Mar 30 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/gtk_p.c  interface/motif_p.c
    Used select() instead of ioctl/FIONREAD.

Date: Mon, 29 Mar 1999 21:08:16 +1000 (EST)
From: ggt@netspace.net.au (Glenn Trigg)
    Enabled loaded files to be deleted from the play list by
    double-right-clicking on the list entry.

From: Masanao Izumo <mo@goice.co.jp>
Date: Mon Mar 29 1999
Files: timidity/support.h
    Fixed prototype mismatch probrem for getopt().
Files: configure.in interface/ncurs_c.c
    Added configure test for PDcurses.
    Increased COMMAND_BUFFER_SIZE to 4096.

Date: Sat Mar 27 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c
    Fixed to ignore LSB data entry.
Files: timidity/readmidi.c
    Turned the control MIDI event value to 127 if the value is more than 127.
Files: timidity/readmidi.c
    Fixed not to change to GM_SYSTEM_MODE if play_system_mode is not
    DEFAULT_SYSTEM_MODE.

Date: Thu, 25 Mar 1999 23:41:46 -0600 (CST)
From: "Eric A. Welsh" <ewelsh@gpc.ibc.wustl.edu>
Files: interface/ncurs_c.c
    In cmsg(), in ncurs_c.c, there is an #ifdef __BORLANDC__ which adds in
    a nl().  This should be changed to include __WIN32__ && ! __CYGWIN32__,
    since standard Win32 does not do a \r when a \n is issued.
Files: interface/ncurs_c.c interface/vt100_c.c
    Fixed a bug in the lyric display for non .KAR files that have lyrics.
    In every non .KAR file that I have that has lyrics, '\n' are where '\r'
    should be, and '\r' are in very strange places that result in very bad
    positions to do carriage returns.  The '\n' also do bad things to the -int
    display, since the '\n' caues the text to go below the single line of
    output.

Summary:
Tue Mar 23 1999
    * In XAW interface, Added new user interfaces.
    * Fixed some bugs.

-- 1.3.6
Date: Sat, 20 Mar 1999 22:01:43 +0900 (JST)
From: Yoshishige ARAI <ryo2@on.rim.or.jp>
Files: configure.in interface/xaw_i.c
    Added -lXext for Motif link option.
    On XAW, Enabled selection & deletion with `Backspace' key in
    load dialog text.

Date: Fri, 19 Mar 1999 20:54:15 -0500 (EST)
From: Franklin Chen <chen@dahmer.pscico.cs.cmu.edu>
Files: configure.in interface/slang_c.c
    On Linux Red Hat 5.2: <slang.h> must change to <slang/slang.h>.
    Added configure test for <slang/slang.h>, and included it
    if it is found (by Masanao Izumo <mo@goice.co.jp>)

Date: Mon Mar 15 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/common.c libarc/url.c
    Fixed bug for Windows.

Date: Fri Mar 12 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: utils/support.c
    Fixed bug of strncasecmp()

Date: Wed, 10 Mar 1999 14:00:18 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/xaw_c.c
    Fixed bug for XAW interface.

Date: Wed, 10 Mar 1999 03:09:31 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/xaw_c.c interface/xaw_i.c
    Pached for XAW interface:
    * Fixed bug about `Save Config'
    * Added `Add All' button
    * Checked whether specified file is MIDI file or not
    * Changed KeyBoardFocus for the File Load window
    * Stored the changed directory to File Load Dialog
    * Used XtVaSetValues() instead of XtSetValues()

Date: Tue, 09 Mar 1999 20:41:19 +0900
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/xaw_i.c
    Pached for XAW interface about velocity bar.

-- 1.3.5
Mon Mar 8 1999
Summary:
    * In XAW interface, added new user interfaces.
    * Added AM_EXEEXT test for configuring.

Date: Mon Mar 8 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: configure.in
    Added AM_EXEEXT test for configuring.

From: Yoshishige Arai <ryo2@on.rim.or.jp>
Date: Sat, 06 Mar 1999 23:36:24 +0900 (JST)
Files: interface/{xaw_i.c,xaw_c.c,xaw.h}
	doc/C/README.xaw doc/ja_JP.ujis/README.xaw
    Patched for XAW interface.
    Fixed some probrems and changed some interfaces.
    Added documentation for XAW interface.

From: Yoshishige Arai <ryo2@on.rim.or.jp>
Date: Thu, 04 Mar 1999 03:06:04 +0900 (JST)
Files: interface/xaw_i.c
    Patched for XAW interface.
    Fixed some bugs and changed some interfaces.

Date: Wed, 03 Mar 1999 00:21:46 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/{xaw_i.c,xaw_c.c,xaw.h,on.xbm,off.xbm}
    Patched for XAW interface.
    Added the list window to select to play.
    Added the control window to change timidity extends mode (-E).

-- 1.3.4
Mon Mar 1 1999
Summary:
    * In XAW interface, fixed bug about MIDI title displaying.
    * In GTK interface:
      Fixed the button highlight problem.
      Added a new WM-icon provided by Tim Allen.
      Defined the wmclass & wmname to make TiMidity friendlier to window
      managers.
    * Fixed otner bugs or probrems.

Date: Sat Feb 27 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/xaw_c.c
    In XAW interface, fixed bug about MIDI title displaying.

Fri Feb 26 JST 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/au_a.c timidity/wave_a.c timidity/aiff_a.c
    Handled write error at opening.
Files: timidity/instrum.h
    Fixed bug of buffer over-run of inst_map_table.
Files: utils/support.c
    Fixed bug of strdup implementation.

Date: Fri, 26 Feb 1999 22:45:34 +1100 (EST)
From: ggt@netspace.net.au (Glenn Trigg), thristian@usa.net (Tim Allen)
Files: interface/gtk_i.c
    In GTK interface:
      Fixed the button highlight problem. I'd forgotten about the mask!
      Added a nice colorful icon provided by Tim Allen.
      Defined the wmclass & wmname to make TiMidity friendlier to window
      managers.

Date: Thu, 25 Feb 1999 01:17:45 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/xaw_i.c
    Fixed probrem of cascade file selection popup menu.

-- 1.3.3
Wed Feb 24 1999
Summary:
    * Used WAVE_MAPPER for waveOutOpen() in Windows.
    * Renamed inflate to zip_inflate, and deflate to zip_deflate.
    * Modified to port to some OSes.
    * Improved XAW interface.
    * Added strdup implementation is it was not exists.
    * Fixed bug that MIDI reset did not update the display of program.
    * Added `extern errno' in timidity.h
    * Fixed XAW geometry probrem on non-trace mode.
    * Not to call glob() if GLOB_BRACE is not defined.

Date: Wed Feb 24 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/win_a.c
    Used WAVE_MAPPER for waveOutOpen()
Files: libarc/url_dir.c interface/ncurs_c.c interface/xaw_i.c
    Added S_ISDIR macro definition if it is not defined.  There is
    no difinition of this macro on NeXTSTEP under /usr/include/ or
    /usr/include/sys/.  It is defined in /usr/include/bsd/sys/stat.h,
    but I don't include this file because some conflicts may occur.
Files: interface/xaw_i.c timidity/timidity.h
    Moved strstr and strncasecmp implementation to timidity.h and support.c.

Date: Mon Feb 22 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/audriv_none.c
    Removed error codes.
Files: libarc/{zip.h,arc.c,inflate.c,url_inflate.c,arc_tar.c,deflate.c}
	timidity/readmidi.c
    Renamed inflate to zip_inflate, and deflate to zip_deflate.
Files: utils/support.c timidity/timidity.c timidity/timidity.h
	libarc/url_dir.c
    Modified to port to some OSes such as NeXTSTEP.
    Added strdup() and getcwd() implementation if they are not exist.
    Added declarations for `optind' and `optarg' in timidity.c if
    <getopt.h> is not exist.
    Included <sys/types.h> from timidity.h
    Included <sys/fcntl.h> from url_dir.c for S_ISDIR

Date: Sat, 20 Feb 1999 14:06:25 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/{xaw_i.c,xaw_c.c,xaw.h,arrow.xbm}
    Improved XAW interface.
      - Cascading pulldown menu for file selection.
      - Add time bar.
      - Add auto exit, repeat, and shuffle On/Off to menu.
      - Add translation keys:
        CTRL-M: Text display on/off
        CTRL-T: Trace display on/off
        CTRL-S: shuffle on/off
        CTRL-R: repeat on/off
      - Display GM, GS, XG to upper right button.
      - Change the function of upper right button.
        Left mouse click: Text display on/off
        Center mouse click: Trace display on/off
        Right mouse click: Change window size.
      - Display number of voices and title of MIDI in bottom of window.

Date: Tue Feb 16 1999
From Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c
    Fixed bug that MIDI reset did not update the display of program.

Date: Mon Feb 15 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity.h
    Added `extern errno' in timidity.h

Date: Fri, 12 Feb 1999 12:46:51 +0900
From: "KINOSHITA, K." <kino@krhm.jvc-victor.co.jp>
Files: interface/xaw_i.c
    Fixed XAW geometry probrem on non-trace mode.
Files: interface/gtk_i.c
    Not to call glob() if GLOB_BRACE is not defined.

-- 1.3.2
Wed Feb 10 1999
Summary:
    * Patched for BSD/OS.
    * Changed icons of motif interface.
    * Changed sorting algorithm for xaw and Tck/Tk interface.
    * Fixed bugs and probrems of Tcl/Tk interface

Date: Wed Feb 10 1999
From: Masanao Izumo <mog@goice.co.jp>
Files: configure.h timidity/timidity.h
    Included <machine/endian.h> from timidity.h if configure finds it.
Files: interface/tkpanel.tcl
    Fixed bug of Tcl/Tk interface: If a file is added on suffle, it is
    possible to be error.  Tck may access to out of range of Stat(SuffleList).

Date: Tue, 09 Feb 1999 04:11:55 +0900
From: (Masahiko Kimoto) <kimoto@ohnolab.org>
Files: configure.in timidity/linux_a.c timidity/timidity.h
    Patched for BSD/OS.

Date: Mon, 08 Feb 1999 07:42:46 -0500
From: Roger Fujii <rmf@unixbox.lookhere.com>
Files: interface/motif_i.c
	interface/motif_bitmaps/{Makefile.in,Makefile.am,back.xbm,fwd.xbm,
	next.xbm,pause.xbm,prev.xbm,quit.xbm,restart.xbm,timidity.xbm,Makefile}
    Attached is better looking xbms for the motif interface
    plus a fix to prevent the last button from resizing
    when the window is resized.

Date: Mon Feb  8 JST 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/ncurs_c.c
    Modified ncurs_c.c.

Date: Sun Feb 7 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/vt100_c.c
    Bug fixed for Windows.  select() from Windows API is not available for file
    descriptor, but from EGCS is ok.
Files: interface/browser.tcl
    Changed `lsort -dictionary' to `lsort -ascii'.

Date: Sat, 6 Feb 1999 10:44:42 +0100 (CET)
From: Peter Kleiweg <kleiweg@let.rug.nl>
Files: interface/xaw_i.c
    Changed the sorting algorithm for the xaw interface. Now, directories
    are listed before regular files.

Date: Sat, 6 Feb 1999 01:45:20 +0100 (CET)
From: Peter Kleiweg <kleiweg@let.rug.nl>
Files: interface/tkpanel.tcl
    Fixed Tck/Tk interface probrem:
	The proc MakeShuffleList is broken. The list of numbers it generates
	has a `hole' in it. This generates an error when the last number in
	the list has been played.
	Also, with Tk, whenever a new song starts, the global X11 selection is
	changed. This is very annoying when I'm just doing some cut-and-paste
	in another application. I can even loose the data I was attempting to
	move. So I changed this behavior in tkpanel.

-- 1.3.1
Fri Feb 5 1999
Summary:
    * Fixed some bugs.
    * Enabled compile with gcc from MINGW32.
      (This package has not dir.h which is included <dirent.h> and <direct.h>,
       so configure of AC_HEADER_DIRENT section is failed all.  Where is it
       gone?)

Date: Fri Feb 5 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/Makefile.am
    Linked support.$(so) to each dynamic interfaces.
Date: Thu Feb 4 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity.c
    Fixed bug that core dummped if specified out of range of program number
    in *.cfg.  This bug is reported by Erik Inge Bolso.  Thank you.
about error message for out of range of program number in *.cfg
Files: INSTALL INSTALL.jp
    Added about installation on CYGNUS.
Files: configure.in utils/{net.c,net.h}
    Used WINSOCK (Windows API -lwsock32) if `AC_CHECK_FUNC(socket)' is failed,
    and called WSAStartup() in open_socket() at first once.  WINSOCK is needed
    to compile with gcc from MINGW32 package.
Files: acinclude, configure.in
    Added tests for Windows API.
Files: libarc/url_dir.c
    Fixed bug & improved of url_dir.c about URL_DIR_CACHE_ENABLE
    implementation.
Files: timidity/timidity.h configure.in
    Fixed some compilation errors.

-- 1.3.0
Wed Feb 3 1999
Summary:
    * Fixed some problems with the Xaw and Tcl/Tk interfaces.
    * Modified to compile on cygnus.
    * Made support.c to define missing functions.
    * Used `strerror()' instead of `sys_errlist[]'.
    * Imported Macintosh source from 1999.1.7 released.
    * Defined BIG_ENDIAN or LITTLE_ENDIAN according to WORDS_BIGENDIAN.
    * Configure/Makefile modifications:
	- Enabled to configure on cygnus.
        - Remove -aout compiler flag on FreeBSD.
        - Remove -Wall compiler flag.
	- Don't use `+=' operation in any Makefiles.  Old GNU make may not
	  recognize append operator.
    * Improved XAW interface for trace playing.
    * Improved reverb sounds.
    * Fixed MIME/Multipart bug.


Date: Tue, 2 Feb 1999 21:15:14 +0100 (CET)
From: Peter Kleiweg <kleiweg@let.rug.nl>
Files: interface/{browser.tcl,xaw_i.c,tkmidity.ptcl}
    Fixed some problems with the Xaw and Tcl/Tk interfaces:
    - With the Xaw interface, in the File Open dialog, the file/directory
      listing was unsorted.
    - With the Tcl/Tk interface, in the File Open dialog, the directory
      listing was sorted, but not the file listing.
    - On some machine, there is no 17 point fonts.  Changed the use of 17
      point fonts into 18 point fonts.

Date: Wed Feb 3 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/{win_a.c,timidity.c,playmidi.c}
    Modified to compile on CYGNUS/gcc.
    Fragment optimizations.

Date: Tue Feb 2 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: utils/support.c timidity/timidity.h
    Defined missing functions.  And declared them in timidity.h.
Files: timidity/output.c timidity/output.h
    Added output_encoding_string() function to display the name of encoding.
Files: interface/{wrdt_wincon.c,vt100_c.c}
	timidity/{playmidi.c,win_a.c}
    Modified to compile on CYGNUS/gcc
Files: interface{gtk_p.c,motif_p.c,tk_c.c} libarc/url.c
	timidity/{aiff_a.c,au_a.c,audriv_al.c,audriv_sun.c,bsd20_a.c,common.c,
	dl_dlopen.c,dl_hpux.c,hpux_d_a.c,linux_a.c,raw_a.c,readmidi.c,
	timidity.c,timidity.h,wave_a.c}
    Used `strerror()' instead of `sys_errlist[]'.
    Included <errno.h> in timidity.h if HAVE_ERRNO_H is true.
Files: timidity/{mac_a.c,mac_com.h,mac_dlog.c,mac_main.c,mac_main.h,mac_qt_a.c,
	mac_soundspec.c}
	interface/{mac_c.c,mac_c.h,mac_loadBMP.c,mac_loadBMP.h,mac_mag.c,
	mac_mag.h,mac_skin.c,mac_skin.h,mac_trace.c,mac_wrdwindow.c,
	mac_wrdwindow.h,wrdt_mac.c}
	utils/{mac_readdir.c,mac_readdir.h,mac_util.c,mac_util.h}
    Imported Macintosh source from 1999.1.7 released.
Files: timidity/timidity.h
    If WORDS_BIGENDIAN is defined in config.h, define BIG_ENDIAN,
    otherwise define LITTLE_ENDIAN.
Files: utils/timer.c
    Use gettimeofday() if HAVE_GETTIMEOFDAY, otherwise Use Windows API.
Files: configure.in utils/Makefile.am libarc/url_dir.c
    Modified the implementation about opendir().

Date: Mon Feb 1 1999
From: Yoshishige Arai <ryo2@on.rim.or.jp>
    Improved XAW interface display in trace mode.

Date: Fri Jan 29 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: configure.in
    On FreeBSD, There is probrem to make shared object library.
    Netscape Plugin needs `aout' format, but I don't have enough
    knowledge to build aout format under ELF environment FreeBSD.
    So I just removed -aout flag for compiler.
Files: doc/ja_JP.ujis/timidity.cfg.5
    Changed `Kairyouban' to `TiMidity++'.
Files: INSTALL, INSTALL.jp
    Added some discriptions.
Files: common.makefile.in
    Removed -Wall option from compiler option.
    Expanded `+=' macro definition.
    Defined @EXTRADEFS@ in CPPFLAGS instead of DEFS.

Date: Thu, 28 Jan 1999
From: Masaki Kiryu <mkiryu@mb.kcom.ne.jp>
Files: timidity/reverb.{c,h}
    Improved reverb sounds.

Date: Wed Jan 27 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: libarc/arc_mime.c
    Fixed bug about MIME archiver for multipart/mixed.
    You can play midi in MIME/Multipart file.  For example:
    % timidity mail:~/Mail/inbox/1234
    I think MIME/Multipart is one of archive file format. :-)

-- 1.2.1
Mon Jan 25 1999
Summary:
    * Fixed some configuration probrems.
    * Added --enable-dynamic `configure' option.

Date: Mon Jan 25 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: acinclude.m4 configure.in
    Fixed some probrems of configuration:
	* Remove duplicated -lXpm option.
	* Not to change the order of comple flags.
	* and so on...
Files: interface/gtk_c.c
    Implemented interface_g_loader()
Files: timidity/dl_dlopen.c
    Added "\n" to error message of dl_find_symbol()

Date: Mon, 25 Jan 1999 01:18:27 +0900 (JST)
From: nork@lb.u-tokai.ac.jp (Norikatsu Shigemura)
Files: configure.in
    Pached for making FreeBSD UMP.

Date: Fri Jan 22 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: configure.in
    Added --enable-dynamic configure option.  It is enable to always compile
    dynamic link codes.
Files: timidity/gtk_i.c
    On Solaris, glob()'s flag is different in the interface.
    So I just changed not to call glob() on Solaris.

Date: Thu, 21 Jan 1999 12:53:18 +0900
From: "KINOSHITA, K." <kino@krhm.jvc-victor.co.jp>
Files: timidity/timidity.c
    Removed no effect statements.

Date: Thu, 21 Jan 1999 03:40:38 +0900
From: Ueyama Rui <rui@po.teleway.ne.jp>
Files: interface/pixmaps/{fast,slow,restart,keyup,keydown}.xpm
    Reported some files for Gtk pixmaps are missing.  Added them.

-- 1.2.0
Thu Jan 21 JST 1999
Summary:
    * XAW interface:
      - Changed button bitmap of random & repeat
      - Modified some implementations.
    * Gtk interface:
      - Added buttons (& implementation) for raising & lowering the pitch.
      - Added buttons (& implementation) for increasing/decreasing the tempo.
    * Lookup TIMIDITY_SOUND_CARD and TIMIDITY_PCM_DEVICE environment variable
      to select the PCM device of ALSA.
    * Made interface.h to define IA_* macro for TiMidity interface.  This
      file is generated automatically by configure.
    * Fixed some bugs.

Date: Thu, 21 Jan 1999 01:33:58 +0900 (JST)
From: nork@lb.u-tokai.ac.jp (Norikatsu Shigemura)
Files: configure.in
    Fixed configure bug about FreeBSD dynamic interface.

Date: Wed Jan 20 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/xskin_spectrum.c
    Don't define xskin_spe_ana() and xskin_wave() if soundspec is not enable.
Files: configure.in interface.h.in timidity/{Makefile.am,timidity.c,controls.c}
    Fixed configuration bug that tcl needed -dl on some machines.
    IA_* macro is into interface.h.  interface.h is generated automatically
    by configure.

Date: Tue, 19 Jan 1999 23:16:33 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface{bitmaps/Makefile.am,bitmaps/Makefile.in,bitmaps/random.xbm,
	bitmaps/repeat.xbm,xaw.h,xaw_i.c}
    Modified XAW interface:
      - Changed Form Widget to Box Widget.
      - Changed icon bitmaps
      - Obsoleted MSGWINDOW macro configuration.  Message window is always
        enable.

Date: Tue, 19 Jan 1999 17:54:53 +0900
From: Takanori Watanabe <takawata@shidahara1.planet.sci.kobe-u.ac.jp>,
      Glenn Trigg <ggt@netspace.net.au>
Files: interface{emacs_c.c,gtk_c.c,gtk_h.h,gtk_i.c,gtk_p.c,ncurs_c.c,
	pixmaps/Makefile.in,vt100_c.c}
	timidity/{controls.h,playmidi.c,timidity.c,wrd_read.c}
    Pached from Glenn Trigg:
    The changes are (roughly):
      - Added buttons (& implementation) for raising & lowering the pitch.
      - Added buttons (& implementation) for increasing/decreasing the tempo.
      - Fixed a bug where starting with no files and then loading a file
        and trying to play it caused a crash.
      - Fixed a typo RC_TOGGLE_DURMCHAN => RC_TOGGLE_DRUMCHAN.
      - Added some braces to two macros to stop some compiler warnings.

Date: Tue, 19 Jan 1999 00:21:35 +0900
From: Yamahata Isaku <yamahata@kusm.kyoto-u.ac.jp>
Files: alsa_a.c
    Lookup TIMIDITY_SOUND_CARD and TIMIDITY_PCM_DEVICE environment variable
    to select the PCM device.

-- 1.1.1
Mon Jan 18 1999
Summary:
    * Fixed some bugs.
    * Modified that xaw interface is enable to run without any midi files.

Date: Mon Jan 18 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/{xaw_i.c,xaw_c.c} timidity/common.c
    Fixed some bugs.

Date: Mon Jan 18 1999
From: takawata@shidahara1.planet.sci.kobe-u.ac.jp
Files: configure.in
    Fixed configuration bug about OffiX.
    Fixed configuration bug about ALSA.
Files: interface/{xaw_c.c,xaw_i.c} timidity/timidity.c
    Modified that xaw interface is enable to run without any midi files.

Date: Mon Jan 18 1999
From: "KINOSHITA, K." <kino@krhm.jvc-victor.co.jp>
Files: configure.in
    Removed -ltcl when configure option of --enabel-tcltk=dynamic is specified.
Files: interface/Makefile.am
    Modified some installation.  Used `$(INSTALL_DATA)' instead of
    `$(INSTALL) -m 644'

Files: interface/{dumb_c.c,dynamic_c.c,emacs_c.c}
    On some compilers, `stdout' can't assign to any variable in global
    statement.  Fixed this probrem.
Files: configure.in config.h.in timidity/timidity.c
    Added HAVE_GETOPT_H macro.
Files: configure.in
    Fixed bugs of configure without --with-x.
Files: timidity/Makefile.am
    Fixed probrem to `make install' instead of `make; make install'

-- 1.1.0
Mon Jan 18 1999
Summary:
    * Fixed bugs of xaw interface with no trace mode.
    * Added configuration for UMP package.
    * Modified configure and Makefiles.
    * Added trace mode to xaw interface.
    * Supported OffiX configuration.
    * Some bugs are fixed.

Date: Mon Jan 18 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/xaw_i.c
    Fixed bugs of xaw interface with no trace mode.
Files: configure* */Makefile*
    Added configuration for UMP package.
    Modified configure and Makefiles.

Date: Sat, 16 Jan 1999 02:18:01 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: interface/{xaw.h,xaw_c.c,xaw_i.c}
    Added trace mode to xaw interface.

Date: Fri, 15 Jan 1999 14:26:17 +0900
From: Takanori Watanabe <takawata@shidahara1.planet.sci.kobe-u.ac.jp>
Files: configure.in interface/xaw.h interface/xskin_loadBMP.c
    Supported OffiX configuration.  The new configure options are:
	--enable-offix
	    Turn on OffiX interface for XAW.
	--with-offix-includes=[dir]
	    Specify include directry for Offix library.
	--with-offix-libs=[dir]
	    Specify library for Offix.
    Fixed tkl/tk configure bug.
    Included config.h in xskin_loadBMP.c.

-- 1.0.1
Thu Jan 14 1999
Summary:
    * Define function of vsnprintf() and snprintf() if it is not exists.
    * Fixed message transfer probrem with '\n' for some interface.
    * Modified manual installation.
    * Check libXaw3d before checking libXaw.
    * Fixed ALSA configuration probrem.
    * Modified for OffiX interface.
    * Tcl/tk interface can start with no midi file arguments.
    * Modified doc/C/README.xskin

Date: Thu Jan 14, 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/common.c interface/{motif_c.c,slang_c.c,vt100_c,ncurs_c.c,c,
	xaw_i.c,xaw_c.c,tk_c.c,wrdt_x.c}
    Define function of vsnprintf() and snprintf() if it is not exists.
    And use it some where.
    Fixed Tck/Tk message transfer probrem with '\n' (Not completed)
Files: interface/xaw_c.c interface/xaw_i.c
    Fixed XAW message transfer probrem with '\n'.
Files: configure.in doc/Makefile* doc/*/Makefile*
    Modified manual installation.
Files: configure.in interface/xaw.h
    Check libXaw3d before checking libXaw.
    Modified the comment in xaw.h

Date: Tue, 12 Jan 1999 22:00:26 +0900
From: Yamahata Isaku <yamahata@kusm.kyoto-u.ac.jp>
Files: configure.in acinclude.m4
    Fixed ALSA configuration probrem.

Date: Tue, 12 Jan 1999 21:25:32 +0900
From: Takanori Watanabe <takawata@shidahara1.planet.sci.kobe-u.ac.jp>
Files: interface/xaw.h interface/xaw_i.c
    Modified for OffiX file drag & drop interface for xaw. (need libDnd)
    This interface is not enabled by default.  If you want build this,
    define OFFIX in interface/xaw.h and link libDnd.
    xaw.h:WIDGET_IS_LABEL_WIDGET is undefined by default.

Date: Tue, 12 Jan 1999 11:38:16 +0900
From: "KINOSHITA, K." <kino@krhm.jvc-victor.co.jp>
Files: interface/tk_c.c interface/tkpanel.tcl interface/timidity.c
    Tcl/tk interface can start with no midi file arguments.

Date: Sun, 10 Jan 1999 18:58:17 +0900 (JST)
From: Yoshishige Arai <ryo2@on.rim.or.jp>
Files: doc/C/README.xskin
    Fixed spelling and syntax.

-- 1.0.0
1/6, 1999
Major changes from 0.2i:
   * Install with `configure' script.
   * Synchronization for audio and interface controls.
   * Uses GUS/patch and SoundFont for voice data
   * Plays the MIDI file via network (UNIX version)
   * Plays the MIDI file in archive file
   * Plays not only SMF file but also MOD, RCP/R36/G18/G36
   * Can handle 32 channel data
   * Can handle user interfaces as dynamic link modules (UNIX version)
   * Can display the sound spectrogram (UNIX or Macinotsh version)
   * Automatically detects the mode of MIDI file (GM/GS/XG)
   * Automatically detects drum channels (GS/XG)
   * Can display MIMPI's WRD file (One of KARAOKE system mainly used in japan)
   * Localization for Japanese
   * Improve new curses interface
   * Add new interface:
	VT100, X Athena Wiget, Emacs, skin, gtk
   * Make Pre-calculated resampling cache
   * Enable private user configuration (in ~/.timidity.cfg)
   * Add some effects
   * Can control follows while playing:
	- Change drumpart
	- Load patch file
	- Pitch up/down
	- Speed up/down
	- Maxmum voices up/down (limited to MAX_VOICES macro defined at
		compiling)
   * Can output Sun audio file (*.au)
   * Can output encoding of G.711 A-Law
   * Use pager program specified by PAGER Environment when displaying the
	command line help
   * The following new MIDI events are supported:
	ChannelPressure, ModulationWheel,
	Portamento, ReverbEffect, ChorusEffect, RPN+/-,
	Mono/Poly Part, Lyric, KARAOKE-Part(@KMIDI),
	and SystemExclusiveMessages
   * Many bugs (that is found in the original) are fixed.
